## boinc 6.12.33+dfsg

=== samples/nvopencl/Makefile ===
# makefile for nvopencl BOINC example application on Linux.

# Add source files here
EXECUTABLE	:= example_app_nvopencl
# C/C++ source files (compiled with gcc / c++)
CCFILES		:= nvopencl.cpp

################################################################################
# Rules and targets

include common_opencl.mk

=== debian/changelog ===
boinc (6.12.33+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Port to libnotify 0.7. (Closes: #636296)
    - Bump Build-Depends on libnotify to (>= 0.7.0).
    - Add debian/patches/libnotify-0.7.patch.
    - Update build system to properly set gtk+-2.0 cflags/ldflags for the
      boincmgr GUI application.
    - Update to the new libnotify 0.7 API.

 -- Michael Biebl <biebl@debian.org>  Sat, 06 Aug 2011 05:50:23 +0200

boinc (6.12.33+dfsg-1) unstable; urgency=low

  [Steffen]
  * New upstream version.
  * The package boinc depends on -client or -manager
    of the same version or later.

  [Dhananjay]
  * Adjustments of .install and .links files to truly
    place files where they are expected.

 -- Steffen Moeller <moeller@debian.org>  Mon, 20 Jun 2011 20:47:37 +0200

boinc (6.12.32+dfsg-2) UNRELEASED; urgency=low

  * The boinc package now depends on binaries
    of the same version.

 -- Steffen Moeller <moeller@debian.org>  Sat, 11 Jun 2011 23:09:24 +0200

boinc (6.12.32+dfsg-1) unstable; urgency=low

  * New upstream version.
    - finally contains MAXPATHLEN fixes for building on HURD
    - fewer warnings while compiling (some Debian patches
      accepted)
  * Initial preparations for merging with developments
    for Debian and beyond at SZTAKI, Budapest.
  * Recommending on amd64 to also install the ia32-lib package.
    A "Depends" would not be acceptable for too many aiming
    at a lean system (Closes: #562431) (lp: #560143).

 -- Steffen Moeller <moeller@debian.org>  Fri, 10 Jun 2011 13:56:34 +0200

boinc (6.12.28+dfsg-7) UNRELEASED; urgency=low

  * Added download script for binary applications from
    Debian.
  * Added recommends in -manager for ia32-lib-gtk
    for amd64 only to better guarantee functional graphics
  * Added recommends in -client for ia32-lib
  * Added recommends to -server-maker to uuid-runtime for genuuid

 -- Steffen Moeller <moeller@debian.org>  Sun, 05 Jun 2011 23:44:49 +0200

boinc (6.12.28+dfsg-6) unstable; urgency=low

  * Change amd64 platform name to upstream's
    x86_64-pc-linux-gnu from x86_64-linux-gnu.

 -- Steffen Moeller <moeller@debian.org>  Sun, 05 Jun 2011 23:05:14 +0200

boinc (6.12.28+dfsg-5) UNRELEASED; urgency=low

  * Drop build-dep on obsolete libxcb-atom (closes: #626669).  That code was
    disabled by debian/patches/Makefile_subdirs.patch anyway.

 -- Julien Cristau <jcristau@debian.org>  Sun, 05 Jun 2011 00:02:33 +0200

boinc (6.12.28+dfsg-4) unstable; urgency=low

   * Fixed target of sed instruction (and FTBFS with it)
   * Explicitly setting CPPFLAGS to empty, which may help
     kfreebsd.

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Jun 2011 21:51:53 +0200

boinc (6.12.28+dfsg-3) unstable; urgency=low

   * Added explicit dependency on python-support for boinc-server-maker.
   * Overriding csh and soname lintian warnings.
   * Addressing the crypt_prog issue.
   * Eliminating build path from python config
   * Eperienting with elimination of leading and ending blanks from
     Makefile lines.

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Jun 2011 20:33:45 +0200

boinc (6.12.28+dfsg-2) unstable; urgency=low

   * Adjusting build dependencies for Debian unstable (Closes: #626669).

 -- Steffen Moeller <moeller@debian.org>  Sat, 28 May 2011 10:44:59 +0200

boinc (6.12.28+dfsg-1) unstable; urgency=low

   * New upstream version.

     Likely to now truly compile also on the HURD.

   * Mentioned ia32-libs also in the README.Debian (Closes: #562431).

 -- Steffen Moeller <moeller@debian.org>  Fri, 27 May 2011 23:54:18 +0200

boinc (6.12.27+dfsg-1) unstable; urgency=low

   * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 25 May 2011 17:17:58 +0200

  

boinc (6.12.26+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 27 Apr 2011 22:33:56 +0200

boinc (6.12.25+dfsg-1) unstable; urgency=low

  * Changed init dependencies to $all which may help speeding up the
    boot process and grants time initialising CUDA when kdm is also
    installed.

  * Also granting the boinc user access to the X display by invoking
    xhost +local:boinc if xhost is installed. The package providing
    the tool, i.e. x11-xserver-utils,  is now suggested as a runtime
    dependency.

  This with some likelihood (Closes: #557871, #596656) (lp: #587426,
  lp: #414244, lp: #525241). It remains yet untested because of a lack
  of respective hardware.  Many thanks go to Skip for keeping up the
  spirit to address this.

  * Upstream has fixed build failure on hurd.

 -- Steffen Moeller <moeller@debian.org>  Sat, 16 Apr 2011 20:24:12 +0200

boinc (6.12.22+dfsg-1) unstable; urgency=low

  * First attempt to fix compilation on HURD.
  * Added debconf it.po (Closes: #619436).
  * Addressing lintian errors on python paths/versions.
  * Removing *.la files (Closes: #621197).

 -- Steffen Moeller <moeller@debian.org>  Sat, 09 Apr 2011 17:32:20 +0200

boinc (6.12.18+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Thu, 17 Mar 2011 16:57:35 +0100

boinc (6.12.15+dfsg-2) UNRELEASED; urgency=low

  * New pt_BR.po file contributed by Adriano Rafael Gomes
    (Closes: #610407).
  * Added explicit dependency on python.

 -- Steffen Moeller <moeller@debian.org>  Sat, 05 Mar 2011 21:17:23 +0100

boinc (6.12.15+dfsg-1) unstable; urgency=low

  * New upstream release.
  * 2nd attempt to correct XML error in config (Closes: #610638)

 -- Steffen Moeller <moeller@debian.org>  Sat, 19 Feb 2011 21:00:35 +0100

boinc (6.12.14+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Migration from experimental to unstable.

 -- Steffen Moeller <moeller@debian.org>  Thu, 17 Feb 2011 19:37:10 +0100

boinc (6.12.8+dfsg-7) experimental; urgency=low

  * Fixed cc_config.xml, reported by Nelson (Closes: #610638).

 -- Steffen Moeller <moeller@debian.org>  Sun, 23 Jan 2011 00:49:20 +0100



=== debian/control ===
Source: boinc
Section: net
Priority: optional
Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, 
 Christoph Martin <christoph.martin@uni-mainz.de>,
 Rene Mayorga <rmayorga@debian.org>,
 Daniel Hahler <ubuntu@thequod.de>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~), po-debconf, dh-buildinfo, pkg-config (>= 0.15),
 libtool, autoconf (>= 2.59), autotools-dev, automake1.9 (>= 1.9.3), gettext,
 docbook2x, docbook-xml, libxml2-utils,
 zlib1g-dev, libssl-dev, libcurl4-openssl-dev (>= 7.17.1),
 libsm-dev, libice-dev, libxmu-dev, libxi-dev, libx11-dev, libnotify-dev (>= 0.7.0),
 freeglut3-dev, libwxgtk2.8-dev, libgtk2.0-dev,
 libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg62-dev,
Homepage: http://boinc.berkeley.edu/
Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc.git
Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc.git

Package: boinc
Architecture: all
Depends: ${misc:Depends},
 boinc-client (>= ${binary:Version}), boinc-manager (>= ${binary:Version})
Description: metapackage for the BOINC client and the manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package depends both on the BOINC core client program that is
 required to participate in any project that uses BOINC, and the
 BOINC Manager, a graphical monitor and control utility for the
 BOINC core client.

Package: boinc-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.3), adduser,
 ca-certificates
Recommends: ia32-libs [amd64]
Suggests: boinc-app-seti, boinc-manager, x11-xserver-utils
Breaks: udev (<< 136-1)
Description: core client for the BOINC distributed computing infrastructure
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package contains the BOINC core client program that is required
 to participate in any project that uses BOINC. A central server
 distributes work units and collects results via this client. When
 attaching a local machine to a project, this client will also
 dynamically download the projects application's program to be then
 wrapped by the BOINC core client.

Package: boinc-manager
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: boinc-client, ia32-libs-gtk [amd64]
Suggests: libgl1-mesa-glx, libxt6
Description: GUI to control and monitor the BOINC core client
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains the BOINC Manager, a graphical monitor and
 control utility for the BOINC core client. It gives a detailed
 overview of the state of the client it is monitoring, for example it
 shows attached projects, running tasks or file transfers between the
 client and project servers. It also shows statistics about granted
 credits and disk usage of the client and the projects. The BOINC
 Manager has two modes of operation, the "Simple View" in which it only
 displays the most important information and the "Advanced View" in
 which all information and all control elements are available.
 .
 For active participation in any BOINC project the recommended
 boinc-client package, not the boinc-manager, is required for every
 machine contributing.

Package: boinc-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libc6-dev | libc-dev,
 libstdc++6-4.3-dev | libstdc++-dev, libssl-dev, libmysqlclient-dev
Description: development files to build applications for BOINC projects
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains header files and static libraries that are
 needed to develop and compile applications which utilizes the BOINC
 infrastructure.

Package: boinc-server-maker
Section: net
Architecture: any
Provides: boinc-server
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-support, python, python-mysqldb,
 mysql-server-5.0 | virtual-mysql-server, apache2 | httpd-cgi,
 php5, php5-cli, php5-mysql,
 tcsh, openssl (>= 0.9.8), adduser, libfcgi0ldbl
Recommends: libapache2-mod-php5, php5-gd, uuid-runtime
Suggests: boinc-app-examples
Description: BOINC server applications and data files
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources. For every scientific problem its own distinct project-server
 must be provided. The users only run a common client with project-specific
 additions (if not self-compiled or available as a Linux distribution's
 package itself) being downloaded from the server.
 .
 This package contains the daemons and tools to create and run BOINC
 projects.

Package: boinc-app-examples
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: boinc-server-maker
Description: example binaries for BOINC servers
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources. For every scientific problem its own distinct project-server
 must be provided. The users only run a common client with project-specific
 additions (if not self-compiled or available as a Linux distribution's
 package itself) being downloaded from the server.
 .
 This package extends the boinc-server-maker package. It features a
 series of small applications that a newly installed environment may
 decide to use for testing purposes. Having them separated has the neat
 side effect that thosee binaries may be retrieved more easily for foreign
 platforms to feed the local servers with.
 .
 The package also features the wrapper application, which is likely
 to find its audience also in real projects.

Package: boinc-dbg
Section: debug
Priority: extra
Architecture: any
Depends: boinc-client (= ${binary:Version}) | boinc-manager (= ${binary:Version}), ${misc:Depends}
Suggests: libcurl3-dbg, libssl0.9.8-dbg, libwxgtk2.8-dbg
Description: debugging symbols for BOINC binaries
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains unstripped versions of all binaries included in
 the BOINC packages. It is provided primarily to provide a backtrace
 with names in a debugger, this makes it somewhat easier to interpret
 core dumps.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment the following lines to compile with gcc-snapshot.
#export  CC=/usr/lib/gcc-snapshot/bin/gcc
#export CXX=/usr/lib/gcc-snapshot/bin/g++
#export CPP=/usr/lib/gcc-snapshot/bin/cpp

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  TYPE_FLAGS = --build $(DEB_HOST_GNU_TYPE)
else
  TYPE_FLAGS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# On some architectures it is required to change the BOINC platform of the
# core client (with the --with-boinc-platform configure option) to match the
# official BOINC platform, otherwise it would not download any applications,
# because projects mostly provide applications for official BOINC platforms
# only. See http://boinc.berkeley.edu/trac/wiki/BoincPlatforms for the list
# of official BOINC platforms.
#
# The table of architectures known to dpkg-architecture are listed on
#  /usr/share/dpkg/archtable

# Change BOINC platform alpha-unknown-linux-gnu to alpha-hp-linux-gnu and
# declare alpha-unknown-linux-gnu as alternate platform, because some projects
# offer applications for it.
ifeq ($(DEB_HOST_GNU_TYPE), alpha-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=alpha-hp-linux-gnu \
    --with-boinc-alt-platform=alpha-unknown-linux-gnu
endif

# Change BOINC platform i486-pc-linux-gnu to i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-linux-gnu
endif

# Change BOINC platform x86_64-linux-gnu to x86_64-pc-linux-gnu.
# Keeping the previous name temporarily.
# The 32bit variants shall allow the execution of 32 bit 
# executable in case the scientific application is no available
# for the complete bit size.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-linux-gnu
  # wrong previous name (since regular Debian name)
  TYPE_FLAGS += --with-boinc-alt-platform=x86_64-linux-gnu
  # if we did the following, the the ia32 libs would
  # need to become a dependency - which is not wanted by too many
  #TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-linux-gnu
endif

# Change BOINC platform i486-pc-kfreebsd-gnu to i686-pc-kfreebsd-gnu to be
# consistent with the official BOINC platform i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-kfreebsd-gnu
endif

# Declare i686-pc-kfreebsd-gnu as alternate platform for
# x86_64-pc-kfreebsd-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-kfreebsd-gnu
  TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-kfreebsd-gnu
endif

# Change BOINC platform ia64-unknown-linux-gnu to ia64-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), ia64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ia64-linux-gnu
endif

# Change BOINC platform powerpc-unknown-linux-gnu to powerpc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=powerpc-linux-gnu
endif

# Change BOINC platform powerpc64-unknown-linux-gnu to ppc64-linux-gnu and
# declare powerpc-linux-gnu as alternate platform.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ppc64-linux-gnu \
    --with-boinc-alt-platform=powerpc-linux-gnu
endif

# Change BOINC platform sparc-unknown-linux-gnu to sparc-sun-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), sparc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=sparc-sun-linux-gnu
endif

# Not touching BOINC platform for hurd for the very moment.
# Manually specify the MAXPATHLEN for GNU where this limit
# is not existing.
ifeq ($(DEB_HOST_GNU_TYPE), i486-gnu)
  # setting it to the regular limit for the other flavours of Debian
  CFLAGS += -DMAXPATHLEN=4096
  #TYPE_FLAGS += --with-boinc-platform=i686-pc-hurd-gnu
endif


CFLAGS += -g -Wall
CXXFLAGS += -g -Wall
LDFLAGS += -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  DEB_OPT_FLAGS = -O0
else
  DEB_OPT_FLAGS = -O2
endif

CFLAGS += $(DEB_OPT_FLAGS)
CXXFLAGS += $(DEB_OPT_FLAGS)

CFLAGS_boinc-client := $(CFLAGS)
CXXFLAGS_boinc-client := $(CXXFLAGS)

CFGFLAGS_boinc-client = \
  $(TYPE_FLAGS) \
  --prefix=/usr \
  --enable-client \
  --enable-server \
  --enable-fcgi \
  --enable-manager \
  --enable-libraries \
  --enable-unicode \
  --with-ssl \
  --with-x \
  CFLAGS="$(CFLAGS_boinc-client)" \
  CXXFLAGS="$(CXXFLAGS_boinc-client)" \
  LDFLAGS="$(LDFLAGS)"


# Default rule
%:
	dh $@

clean:
	dh clean

# Commands not to execute - empty overrides
override_dh_auto_test:


#test-stamp:
#	dh_testdir
#	xmllint --nonet --noout \
#	  debian/conffiles/cc_config.xml \
#	  debian/conffiles/global_prefs_override.xml
#	touch $@

override_dh_auto_configure:
	./_autosetup
	#if [ ! -r ltmain.sh ]; then libtoolize; fi
	#aclocal-1.9 -I m4 && autoheader && automake-1.9 --add-missing && autoconf
	@echo
	@echo "****             *****"
	@echo "**** Configuring *****"
	@echo "****             *****"
	@echo
	cp -f /usr/share/misc/config.guess config.guess
	cp -f /usr/share/misc/config.sub config.sub
	./configure $(CFGFLAGS_boinc-client) CPPFLAGS=""

update-boinc-applinks.1: debian/manpages/update-boinc-applinks.xml
	docbook2x-man debian/manpages/update-boinc-applinks.xml


samples/sleeper/sleeper: build-stamp samples/sleeper/sleeper.cpp
	$(MAKE) -C samples/sleeper
samples/worker/worker: build-stamp samples/worker/worker.cpp
	$(MAKE) -C samples/worker
samples/example_app/uc2: build-stamp samples/example_app/uc2.cpp
	$(MAKE) -C samples/example_app
samples/wrapper/wrapper: build-stamp samples/wrapper/wrapper.cpp
	$(MAKE) -C samples/wrapper

SAMPLES=samples/sleeper/sleeper samples/worker/worker samples/example_app/uc2 samples/wrapper/wrapper

build:	build-stamp $(SAMPLES)
build-stamp:
	dh build --parallel
	touch $@

override_dh_auto_build: update-boinc-applinks.1
	@echo
	@echo "****        *****"
	@echo "**** Making ****"
	@echo "****        *****"
	@echo
	$(MAKE)

	# Generate binary message catalogs of the BOINC Manager.
	if [ -d localte/client ]; then \
	  for i in `ls locale/client`; do \
	    if [ -f "locale/client/$$i/BOINC-Manager.po" ]; then \
	     msgfmt -o "locale/client/$$i/BOINC-Manager.mo" \
	      "locale/client/$$i/BOINC-Manager.po"; \
	    fi; \
	  done; \
	fi

BINARIES= sched/census sched/cgi sched/db_dump sched/db_purge \
	sched/delete_file sched/feeder sched/file_deleter \
	sched/file_upload_handler sched/get_file sched/make_work \
	sched/message_handler sched/request_file_list sched/sample_assimilator \
	sched/sample_bitwise_validator sched/sample_dummy_assimilator \
	sched/sample_trivial_validator sched/sample_work_generator \
	sched/sched_driver sched/send_file sched/show_shmem \
	sched/single_job_assimilator sched/transitioner sched/trickle_handler \
	sched/update_stats sched/wu_check \
	clientgui/boincmgr
BINARIES += samples/worker/worker samples/wrapper/wrapper samples/sleeper/sleeper \
	samples/nvcuda/cuda samples/example_app/example_app samples/vm_wrapper/vm_wrapper \
	samples/atiopencl/atiopencl

override_dh_auto_clean: 
	dh_auto_clean
	# don't interfere with dpkg-source
	#if [ -d .pc ]; then  \
	#	quilt pop -a ; \
	#	$(RM) -r .pc ; \
	#fi
	#if [ -d debian/patches ]; then \
	#	cat debian/patches/*| patch -p1 -R --batch --quiet || true ; \
	#fi
	find . -name Makefile.in -o -name "*.a" -o -name "*.o" | xargs -r rm
	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp lib/crypt_prog
	rm -rf  py/build py/lib.linux-x86_64-2.6
	find . -name "*.pyc" | xargs -r rm
	find . -type d -a \( -name .deps -o -name .libs \) | xargs -r rm -r
	rm -f lib/crypt_prog test/run notices/feeds.xml
	find test -name "run-*" | xargs -r rm -rf
	rm -f $(BINARIES)
	rm -f \
	  lockfile \
	  doc/manpages/*.1 \
	  client/boinc.optimized \
	  update-boinc-applinks.1 \
	  aclocal.m4 \
	  config.h.in \
	  configure \
	  compile \

## boinc 6.13.1+dfsg

=== samples/atiopencl/Makefile ===
# makefile for atiopencl BOINC example appication on Linux.

BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib 

CXXFLAGS = -g \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -I ../../../ati-stream-sdk-v2.1-lnx32/include \
    -lpthread \
    -L.

PROGS = atiopencl \

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

install: atiopencl

atiopencl: atiopencl.o libstdc++.a
	$(CXX) $(CXXFLAGS) -o atiopencl atiopencl.o libstdc++.a \
        -lOpenCL -L../../../ati-stream-sdk-v2.1-lnx32/lib/x86 \
        -lboinc_api -L$(BOINC_API_DIR) \
        -lboinc -L$(BOINC_LIB_DIR)

atiopencl.o: atiopencl.cpp atiopencl.hpp
	$(CXX) $(CXXFLAGS) -c atiopencl.cpp

=== samples/example_app/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib

CXXFLAGS = -g \
	-Wall -W -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common \
    -DAPP_GRAPHICS \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -L /usr/X11R6/lib \
    -L.

# the following should be freeglut; use nm to check
# you may have to change the paths for your system

ifeq ($(wildcard /usr/local/lib/libglut.a),)
	LIBGLUT = /usr/lib/libglut.a
	LIBGLU = /usr/lib/libGLU.a
	LIBJPEG = /usr/lib/libjpeg.a
else
	LIBGLUT = /usr/local/lib/libglut.a
	LIBGLU = /usr/local/lib/libGLU.a
	LIBJPEG = /usr/local/lib/libjpeg.a
endif

PROGS = uc2 \
# uc2_graphics
# make this optional so compile doesn't break on systems without OpenGL

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

install: uc2

# specify library paths explicitly (rather than -l)
# because otherwise you might get a version in /usr/lib etc.

uc2: uc2.o libstdc++.a $(BOINC_API_DIR)/libboinc_api.a $(BOINC_LIB_DIR)/libboinc.a
	$(CXX) $(CXXFLAGS) -o uc2 uc2.o libstdc++.a -pthread \
	$(BOINC_API_DIR)/libboinc_api.a \
	$(BOINC_LIB_DIR)/libboinc.a

uc2_graphics: uc2_graphics.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_graphics2.a
	$(CXX) $(CXXFLAGS) -o uc2_graphics uc2_graphics.o libstdc++.a -pthread \
	$(BOINC_API_DIR)/libboinc_graphics2.a \
	$(BOINC_API_DIR)/libboinc_api.a \
	$(BOINC_LIB_DIR)/libboinc.a \
    $(LIBGLUT) $(LIBGLU) $(LIBJPEG) \
    -lGL -lX11 -lXmu -lm

=== samples/vboxwrapper/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

# Change the following to match your installation
BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib

CXXFLAGS = -g \
	-Wall -W -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L.

PROGS = vboxwrapper

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean:
	rm $(PROGS) *.o

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

vbox.o: vbox.cpp
	g++ $(CXXFLAGS) -c vbox.cpp
vm.o: vm.cpp
	g++ $(CXXFLAGS) -c vm.cpp

vboxwrapper: vboxwrapper.o vbox.o vm.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
	g++ $(CXXFLAGS) -o vboxwrapper vboxwrapper.o vbox.o vm.o libstdc++.a -pthread -lboinc_api -lboinc

=== samples/worker/Makefile ===
CXXFLAGS = -g 

PROGS = worker

all: $(PROGS)

clean:
	rm $(PROGS)

distclean:
	rm $(PROGS)

worker: worker.o
	g++ $(CXXFLAGS) -o worker worker.o

=== samples/wrapper/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

# Change the following to match your installation
BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib

CXXFLAGS = -g \
	-Wall -W -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L.

PROGS = wrapper

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean:
	rm $(PROGS) *.o

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

wrapper: wrapper.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
	g++ $(CXXFLAGS) -o wrapper wrapper.o libstdc++.a -pthread -lboinc_api -lboinc

=== samples/wrappture/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

# Change the following to match your installation
BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib
RAPPTURE_DIR = /home/boincadm/rappture/rappture/src/core

CXXFLAGS = -g \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -I$(RAPPTURE_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L$(RAPPTURE_DIR) \
    -L.

PROGS = wrappture_example fermi

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean:
	rm $(PROGS) *.o

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

wrappture.o: wrappture.cpp
	g++ $(CXXFLAGS) -c -o wrappture.o wrappture.cpp

wrappture_example: wrappture.o wrappture_example.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a $(RAPPTURE_DIR)/librappture.a
	g++ $(CXXFLAGS) -o wrappture_example wrappture_example.o wrappture.o $(RAPPTURE_DIR)/librappture.a libstdc++.a -pthread -lboinc_api -lboinc -lexpat -lz

fermi: fermi.cpp
	g++ $(CSSFLAGS) -o fermi fermi.cpp

=== debian/changelog ===
boinc (6.13.1+dfsg-2) unstable; urgency=low

  * Bringing notify patch to unstable.
  * Adjusted build dependency to libjpeg-dev (Closes: #641093)
  * Further improvements on stripchart.

 -- Steffen Moeller <moeller@debian.org>  Mon, 08 Aug 2011 01:36:51 +0200

boinc (6.13.1+dfsg-1) experimental; urgency=low

  * New upstream version
  * Added boinc-cgi-stripchart package
  * Michael's libnotify patch from 6.12.33+dfsg-1.1 not yet included

 -- Steffen Moeller <moeller@debian.org>  Sun, 24 Jul 2011 22:20:04 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  zlib1g-dev, libssl-dev, libcurl4-openssl-dev (>= 7.17.1),
  libsm-dev, libice-dev, libxmu-dev, libxi-dev, libx11-dev, libnotify-dev (>= 0.7.0),
  freeglut3-dev, libwxgtk2.8-dev, libgtk2.0-dev,
- libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg62-dev,
+ libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg-dev
 Homepage: http://boinc.berkeley.edu/
 Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc.git
 Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc.git
@@ -106,7 +106,8 @@
  mysql-server-5.0 | virtual-mysql-server, apache2 | httpd-cgi,
  php5, php5-cli, php5-mysql,
  tcsh, openssl (>= 0.9.8), adduser, libfcgi0ldbl
-Recommends: libapache2-mod-php5, php5-gd, uuid-runtime
+Recommends: libapache2-mod-php5, php5-gd, uuid-runtime,
+ boinc-cgi-stripchart
 Suggests: boinc-app-examples
 Description: BOINC server applications and data files
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
@@ -156,3 +157,18 @@
  the BOINC packages. It is provided primarily to provide a backtrace
  with names in a debugger, this makes it somewhat easier to interpret
  core dumps.
+
+Package: boinc-cgi-stripchart
+Section: libs
+Priority: extra
+Architecture: all
+Depends: gnuplot-nox, perl
+Recommends: apache2|httpd-cgi
+Description: CGI script for plotting basic statistical graphs
+ The Berkeley Open Infrastructure for Network Computing (BOINC) is a
+ software platform for distributed computing using volunteered computer
+ resources.
+ .
+ The BOINC developers have found their charting library to be of
+ interest for a larger audience. It is isolated in the BOINC source
+ tree and thus presented as a separate package.

=== debian/rules ===
--- 
+++ 
@@ -137,6 +137,8 @@
 
 clean:
 	dh clean
+	find . -name "Makefile" | grep -v samples | xargs -r rm
+	rm -f configure
 
 # Commands not to execute - empty overrides
 override_dh_auto_test:
@@ -236,8 +238,3 @@
 	  lockfile \
 	  doc/manpages/*.1 \
 	  client/boinc.optimized \
-	  update-boinc-applinks.1 \
-	  aclocal.m4 \
-	  config.h.in \
-	  configure \
-	  compile \

## boinc 6.13.6+dfsg

=== samples/vboxwrapper/Makefile ===
--- 
+++ 
@@ -29,8 +29,6 @@
 
 vbox.o: vbox.cpp
 	g++ $(CXXFLAGS) -c vbox.cpp
-vm.o: vm.cpp
-	g++ $(CXXFLAGS) -c vm.cpp
 
-vboxwrapper: vboxwrapper.o vbox.o vm.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
-	g++ $(CXXFLAGS) -o vboxwrapper vboxwrapper.o vbox.o vm.o libstdc++.a -pthread -lboinc_api -lboinc
+vboxwrapper: vboxwrapper.o vbox.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
+	g++ $(CXXFLAGS) -o vboxwrapper vboxwrapper.o vbox.o libstdc++.a -pthread -lboinc_api -lboinc

=== debian/changelog ===
boinc (6.13.6+dfsg-2) unstable; urgency=low

  * Fixing FTBFS (Closes: #644796).
  * substituted install target with override_dh_auto_install

 -- Steffen Moeller <moeller@debian.org>  Sun, 09 Oct 2011 15:50:33 +0200

boinc (6.13.6+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sat, 08 Oct 2011 14:27:25 +0200

boinc (6.13.1+dfsg-3) UNRELEASED; urgency=low

  * Fixed lintian warning for stripchart.

 -- Steffen Moeller <moeller@debian.org>  Mon, 08 Aug 2011 01:36:51 +0200

=== debian/control ===
--- 
+++ 
@@ -162,7 +162,7 @@
 Section: libs
 Priority: extra
 Architecture: all
-Depends: gnuplot-nox, perl
+Depends: ${misc:Depends}, gnuplot-nox, perl
 Recommends: apache2|httpd-cgi
 Description: CGI script for plotting basic statistical graphs
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a

=== debian/rules ===
--- 
+++ 
@@ -139,6 +139,7 @@
 	dh clean
 	find . -name "Makefile" | grep -v samples | xargs -r rm
 	rm -f configure
+	rm -rf py/lib.linux-*-2.*
 
 # Commands not to execute - empty overrides
 override_dh_auto_test:

## boinc 6.13.12+dfsg

=== debian/changelog ===
boinc (6.13.12+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Starting only at runlevel 4 and 5 (Closes: #820246), possibly.
  * Stopping also at runlevel 2 and 3

 -- Steffen Moeller <moeller@debian.org>  Sun, 13 Nov 2011 17:38:16 +0100

boinc (6.13.10+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sun, 30 Oct 2011 00:32:49 +0200

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.3), adduser,
  ca-certificates
 Recommends: ia32-libs [amd64]
-Suggests: boinc-app-seti, boinc-manager, x11-xserver-utils
+Suggests: boinc-app-seti, boinc-manager, x11-xserver-utils, libcuda1, libcuda1-ia32 [amd64]
 Breaks: udev (<< 136-1)
 Description: core client for the BOINC distributed computing infrastructure
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a

=== debian/rules ===
--- 
+++ 
@@ -140,6 +140,7 @@
 	find . -name "Makefile" | grep -v samples | xargs -r rm
 	rm -f configure
 	rm -rf py/lib.linux-*-2.*
+	rm -f override_dh_auto_install
 
 # Commands not to execute - empty overrides
 override_dh_auto_test:
@@ -237,5 +238,3 @@
 	rm -f $(BINARIES)
 	rm -f \
 	  lockfile \
-	  doc/manpages/*.1 \
-	  client/boinc.optimized \

## boinc 7.0.2+dfsg

=== debian/changelog ===
boinc (7.0.2+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Adding boinc user to group video (Closes: #557871)
  * Testing on $DISPLAY set before executing xhost (Closes: #644388),
    thanks to John Feuerstein for the idea and the patch.

 -- Steffen Moeller <moeller@debian.org>  Fri, 02 Dec 2011 03:10:11 +0100

boinc (6.13.12+dfsg-2) UNRELEASED; urgency=low

  * Added explicit dependencies on x11-common and network-manager
    for boot sequence, as indicated by
    http://wiki.debian.org/LSBInitScripts (lp: #820246)
  * Added boinc-nvidia-cuda and boinc-amd-opencl packages in contrib.

 -- Steffen Moeller <moeller@debian.org>  Tue, 15 Nov 2011 22:06:19 +0100

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
 Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc.git
 Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc.git
 
+
 Package: boinc
 Architecture: all
 Depends: ${misc:Depends},
@@ -35,6 +36,50 @@
  required to participate in any project that uses BOINC, and the
  BOINC Manager, a graphical monitor and control utility for the
  BOINC core client.
+
+
+Package: boinc-nvidia-cuda
+Architecture: amd64 i386
+Section: contrib/net
+Depends: ${misc:Depends}, boinc, libcuda1, libcuda1-ia32 [amd64], ia32-libs [amd64]
+Description: metapackage for CUDA-savvy BOINC client and manager
+ The Berkeley Open Infrastructure for Network Computing (BOINC) is a
+ software platform for distributed computing: several initiatives of
+ various scientific disciplines all compete for the idle time of
+ desktop computers. The developers' web site at the University of
+ Berkeley serves as a common portal to the otherwise independently run
+ projects.
+ .
+ Regular users (rightously) often find it an unbearable nuissance to
+ care for the exact configuration of BOINC for CUDA-savvy graphics
+ cards. This package adds a series of dependencies from the non-free
+ section to the regular boinc package. This also meant this binary
+ package to be redistributed in the contrib section of Debian.
+
+
+Package: boinc-amd-opencl
+Architecture: amd64 i386
+Section: contrib/net
+Depends: ${misc:Depends}, boinc, fglrx-driver, amd-libopencl1
+Description: metapackage for CUDA-savvy BOINC client and manager
+ The Berkeley Open Infrastructure for Network Computing (BOINC) is a
+ software platform for distributed computing: several initiatives of
+ various scientific disciplines all compete for the idle time of
+ desktop computers. The developers' web site at the University of
+ Berkeley serves as a common portal to the otherwise independently run
+ projects.
+ .
+ Regular users (rightously) often find it an unbearable nuissance to
+ care for the configuration of BOINC for the OpenCL-savvy AMD/ATI
+ graphics cards.  This package adds a series of dependencies from the
+ non-free section to the regular boinc package. This also meant this
+ binary package to be redistributed in the contrib section of Debian.
+ .
+ This package is not perfect, yet. A major problem for the moment
+ is the availability of the OpenCL driver for 32bit binaries for
+ amd64. If this is planned, install the amd-app package provided
+ through the AMD developer forum.
+
 
 Package: boinc-client
 Architecture: any
@@ -57,6 +102,7 @@
  attaching a local machine to a project, this client will also
  dynamically download the projects application's program to be then
  wrapped by the BOINC core client.
+
 
 Package: boinc-manager
 Section: x11
@@ -83,6 +129,7 @@
  boinc-client package, not the boinc-manager, is required for every
  machine contributing.
 
+
 Package: boinc-dev
 Section: devel
 Architecture: any
@@ -96,6 +143,7 @@
  This package contains header files and static libraries that are
  needed to develop and compile applications which utilizes the BOINC
  infrastructure.
+
 
 Package: boinc-server-maker
 Section: net
@@ -120,6 +168,7 @@
  This package contains the daemons and tools to create and run BOINC
  projects.
 
+
 Package: boinc-app-examples
 Section: net
 Architecture: any
@@ -142,6 +191,7 @@
  The package also features the wrapper application, which is likely
  to find its audience also in real projects.
 
+
 Package: boinc-dbg
 Section: debug
 Priority: extra
@@ -157,6 +207,7 @@
  the BOINC packages. It is provided primarily to provide a backtrace
  with names in a debugger, this makes it somewhat easier to interpret
  core dumps.
+
 
 Package: boinc-cgi-stripchart
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -140,7 +140,7 @@
 	find . -name "Makefile" | grep -v samples | xargs -r rm
 	rm -f configure
 	rm -rf py/lib.linux-*-2.*
-	rm -f override_dh_auto_install
+	rm -f override_dh_auto_install client_state.xml gui_rpc_auth.cfg
 
 # Commands not to execute - empty overrides
 override_dh_auto_test:
@@ -236,5 +236,3 @@
 	rm -f lib/crypt_prog test/run notices/feeds.xml
 	find test -name "run-*" | xargs -r rm -rf
 	rm -f $(BINARIES)
-	rm -f \
-	  lockfile \

## boinc 7.0.3+dfsg

=== debian/changelog ===
boinc (7.0.3+dfsg-1) unstable; urgency=low

  * Also adding libxss-dev as build dependency (Closes: #651953).
    Credits go to Dmitry Baryshev.

 -- Steffen Moeller <moeller@debian.org>  Thu, 15 Dec 2011 20:55:11 +0100

boinc (7.0.2+dfsg-2) UNRELEASED; urgency=low

  [Contributed by Daniel Hahler]
  * Adjusted CUDA dependencies for Ubuntu (lp: #410809).
  * New window renders bug invalid (lp: #511654)

  [Contributed by Oliver Bock]
  * Client configuration fall (mostly) back to defaults.
  * Typos in description.

 -- Steffen Moeller <moeller@debian.org>  Tue, 06 Dec 2011 22:32:48 +0100

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
 Package: boinc-nvidia-cuda
 Architecture: amd64 i386
 Section: contrib/net
-Depends: ${misc:Depends}, boinc, libcuda1, libcuda1-ia32 [amd64], ia32-libs [amd64]
+Depends: ${misc:Depends}, boinc, libcuda1|nvidia-current, libcuda1-ia32|nvidia-current [amd64], ia32-libs|nvidia-current [amd64]
 Description: metapackage for CUDA-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -61,7 +61,7 @@
 Architecture: amd64 i386
 Section: contrib/net
 Depends: ${misc:Depends}, boinc, fglrx-driver, amd-libopencl1
-Description: metapackage for CUDA-savvy BOINC client and manager
+Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
  various scientific disciplines all compete for the idle time of

## boinc 7.0.8+dfsg

=== debian/changelog ===
boinc (7.0.8+dfsg-2) unstable; urgency=low

  * Fixed patch for whitespace removal.

 -- Steffen Moeller <moeller@debian.org>  Mon, 16 Jan 2012 23:00:02 +0100

boinc (7.0.8+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Added disk space check to get-orig-source.

 -- Steffen Moeller <moeller@debian.org>  Sat, 14 Jan 2012 13:04:18 +0100

boinc (7.0.7+dfsg-2) UNRELEASED; urgency=low

  * boinc-server-maker: Fixing missing files for make_project.

 -- Steffen Moeller <moeller@debian.org>  Mon, 02 Jan 2012 01:56:18 +0100

boinc (7.0.7+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Fixed get-orig-source omitted "fi"

 -- Steffen Moeller <moeller@debian.org>  Sun, 01 Jan 2012 16:54:26 +0100

boinc (7.0.3+dfsg-2) UNRELEASED; urgency=low

  * Now libxss-dev truly added (Closes: #651953).

 -- Steffen Moeller <moeller@debian.org>  Thu, 15 Dec 2011 20:55:11 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  zlib1g-dev, libssl-dev, libcurl4-openssl-dev (>= 7.17.1),
  libsm-dev, libice-dev, libxmu-dev, libxi-dev, libx11-dev, libnotify-dev (>= 0.7.0),
  freeglut3-dev, libwxgtk2.8-dev, libgtk2.0-dev,
- libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg-dev
+ libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg-dev,
+ libxss-dev
 Homepage: http://boinc.berkeley.edu/
 Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc.git
 Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc.git

## boinc 7.0.11+dfsg

=== debian/changelog ===
boinc (7.0.11+dfsg-1) unstable; urgency=low

  * Removing ","s from "should start" line in init script (Closes: #654693)
    with tons of thanks to Bruno Muller.
  * New upstream version.
  * [debian/control] corrected for strong binding of [amd64] tag

 -- Steffen Moeller <moeller@debian.org>  Fri, 20 Jan 2012 13:21:56 +0100

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
 Package: boinc-nvidia-cuda
 Architecture: amd64 i386
 Section: contrib/net
-Depends: ${misc:Depends}, boinc, libcuda1|nvidia-current, libcuda1-ia32|nvidia-current [amd64], ia32-libs|nvidia-current [amd64]
+Depends: ${misc:Depends}, boinc, libcuda1|nvidia-current, libcuda1-ia32 [amd64]|nvidia-current [amd64], ia32-libs [amd64]|nvidia-current [amd64]
 Description: metapackage for CUDA-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of

## boinc 7.0.14+dfsg

=== samples/vboxwrapper/Makefile ===
--- 
+++ 
@@ -27,8 +27,11 @@
 distclean:
 	/bin/rm -f $(PROGS) *.o libstdc++.a
 
+floppyio.o: floppyio.cpp
+	g++ $(CXXFLAGS) -c floppyio.cpp
+
 vbox.o: vbox.cpp
 	g++ $(CXXFLAGS) -c vbox.cpp
 
-vboxwrapper: vboxwrapper.o vbox.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
-	g++ $(CXXFLAGS) -o vboxwrapper vboxwrapper.o vbox.o libstdc++.a -pthread -lboinc_api -lboinc
+vboxwrapper: vboxwrapper.o vbox.o floppyio.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
+	g++ $(CXXFLAGS) -o vboxwrapper vboxwrapper.o vbox.o floppyio.o libstdc++.a -pthread -lboinc_api -lboinc

=== debian/changelog ===
boinc (7.0.14+dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #658485).

 -- Steffen Moeller <moeller@debian.org>  Fri, 03 Feb 2012 21:28:27 +0100

## boinc 7.0.15+dfsg

=== debian/changelog ===
boinc (7.0.15+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 15 Feb 2012 21:41:20 +0100

boinc (7.0.14+dfsg-2) UNRELEASED; urgency=low

  * Added patch to include unistd.h 

 -- Steffen Moeller <moeller@debian.org>  Sun, 05 Feb 2012 00:25:02 +0100

## boinc 7.0.24%2bdfsg

=== debian/rules ===
--- 
+++ 
@@ -120,7 +120,7 @@
   --prefix=/usr \
   --enable-client \
   --enable-server \
-  --enable-fcgi \
+  --disable-fcgi \
   --enable-manager \
   --enable-libraries \
   --enable-unicode \
@@ -133,7 +133,7 @@
 
 # Default rule
 %:
-	dh $@
+	dh $@ --parallel --with python2
 
 clean:
 	dh clean
@@ -195,7 +195,7 @@
 	$(MAKE)
 
 	# Generate binary message catalogs of the BOINC Manager.
-	if [ -d localte/client ]; then \
+	if [ -d locale/client ]; then \
 	  for i in `ls locale/client`; do \
 	    if [ -f "locale/client/$$i/BOINC-Manager.po" ]; then \
 	     msgfmt -o "locale/client/$$i/BOINC-Manager.mo" \
@@ -220,14 +220,6 @@
 
 override_dh_auto_clean: 
 	dh_auto_clean
-	# don't interfere with dpkg-source
-	#if [ -d .pc ]; then  \
-	#	quilt pop -a ; \
-	#	$(RM) -r .pc ; \
-	#fi
-	#if [ -d debian/patches ]; then \
-	#	cat debian/patches/*| patch -p1 -R --batch --quiet || true ; \
-	#fi
 	find . -name Makefile.in -o -name "*.a" -o -name "*.o" | xargs -r rm
 	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp lib/crypt_prog
 	rm -rf  py/build py/lib.linux-x86_64-2.6
@@ -236,3 +228,13 @@
 	rm -f lib/crypt_prog test/run notices/feeds.xml
 	find test -name "run-*" | xargs -r rm -rf
 	rm -f $(BINARIES)
+	rm -f \
+	  lockfile \
+	  doc/manpages/*.1 \
+	  client/boinc.optimized \
+	  update-boinc-applinks.1 \
+	  aclocal.m4 \
+	  config.h.in \
+	  configure \
+	  compile \
+	  depcomp \

## boinc 7.0.24+dfsg

=== debian/changelog ===
boinc (7.0.24+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Built without optimisation on amd64 for better debug information to help
    investigation of apparent incompatibility with NVidia 295.33 modules.
  * <glib.h> patch accepted by upstream (Closes: #665512).
  * First sponsoring upload by Thorsten - many thanks!

 -- Steffen Moeller <moeller@debian.org>  Sat, 31 Mar 2012 13:41:50 +0200

boinc (7.0.23+dfsg-2) UNRELEASED; urgency=low

  * More increased buffers whenever paths were <1024 chars of length
  * Added invocations of init() functions to constructors
    of RESULT and CLIENT_STATE classes to work towards valgrind
    cleanliness 
  * Removed Christoph from uploaders

 -- Steffen Moeller <moeller@debian.org>  Fri, 30 Mar 2012 18:49:07 +0200

boinc (7.0.23+dfsg-1) UNRELEASED; urgency=low

  * New upstream version.
  * Moving towards inclusion of glib.h instead of glib/*.h.

 -- Steffen Moeller <moeller@debian.org>  Sat, 24 Mar 2012 16:05:42 +0100

boinc (7.0.21+dfsg-1) UNRELEASED; urgency=low

  * New upstream version.
  * Added icons in /usr/share/boinc to boinc-manager package

 -- Steffen Moeller <moeller@debian.org>  Sun, 18 Mar 2012 13:43:58 +0100

boinc (7.0.20+dfsg-1) UNRELEASED; urgency=low

  * New upstream version.
  * Removed dependency on schedtools again - and fixed bug in patch.

 -- Steffen Moeller <moeller@debian.org>  Fri, 09 Mar 2012 17:04:07 +0100

boinc (7.0.19+dfsg-1) UNRELEASED; urgency=low

  * New upstream version.
  * Added dependency on schedtools for boinc-client.
  * Removing /var/lib/boinc-client upon purge (Closes: #656464).

 -- Steffen Moeller <moeller@debian.org>  Sat, 03 Mar 2012 01:19:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>, 
- Christoph Martin <christoph.martin@uni-mainz.de>,
  Rene Mayorga <rmayorga@debian.org>,
  Daniel Hahler <ubuntu@thequod.de>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7.0.50~), po-debconf, dh-buildinfo, pkg-config (>= 0.15),
  libtool, autoconf (>= 2.59), autotools-dev, automake1.9 (>= 1.9.3), gettext,
  docbook2x, docbook-xml, libxml2-utils,
@@ -84,7 +83,8 @@
 
 Package: boinc-client
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.3), adduser,
+Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.3),
+ adduser,
  ca-certificates
 Recommends: ia32-libs [amd64]
 Suggests: boinc-app-seti, boinc-manager, x11-xserver-utils, libcuda1, libcuda1-ia32 [amd64]
